### Hierarchy

- Storage

### Implemented by

- AsyncStorageAdapter
- ClientStorage
- LocalStorageAdapter

## Index

### Methods

- clearAll
- getAllKeys
- getItem
- getJson
- multiRemove
- removeItem
- setItem
- setJson

## Methods

### clearAll

- clearAll(): Promise<void>

- - Defined in storage/Storage.ts:12

  #### Returns Promise<void>

### getAllKeys

- getAllKeys(): Promise<string[]>

- - Defined in storage/Storage.ts:14

  #### Returns Promise<string[]>

### getItem

- getItem(key: string): Promise<string>

- - Defined in storage/Storage.ts:2

  #### Parameters

  - ##### key: string

  #### Returns Promise<string>

### getJson

- getJson(key: string): Promise<any>

- - Defined in storage/Storage.ts:4

  #### Parameters

  - ##### key: string

  #### Returns Promise<any>

### multiRemove

- multiRemove(keys: Array<string>): Promise<void>

- - Defined in storage/Storage.ts:16

  #### Parameters

  - ##### keys: Array<string>

  #### Returns Promise<void>

### removeItem

- removeItem(key: string): Promise<void>

- - Defined in storage/Storage.ts:10

  #### Parameters

  - ##### key: string

  #### Returns Promise<void>

### setItem

- setItem(key: string, value: string): Promise<void>

- - Defined in storage/Storage.ts:6

  #### Parameters

  - ##### key: string

  - ##### value: string

  #### Returns Promise<void>

### setJson

- setJson(key: string, value: any): Promise<void>

- - Defined in storage/Storage.ts:8

  #### Parameters

  - ##### key: string

  - ##### value: any

  #### Returns Promise<void>

Generated using TypeDoc